<?php
/**
 * This project has been generated by worker generator
 * has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 * check out my github @dekaulitz
 */

namespace App\Http\Controllers\Administrator;

use App\Exceptions\DefaultException;
use App\Http\Base\BaseApiController;
use App\Http\Base\BaseController;
use App\Http\Handler\SyncHandler;
use App\Http\Handler\CurlHandler;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Services\ItempopenerimaanioService;

class ItempopenerimaanioController extends BaseController
{
    protected $baseService;

    /**
     * Itempopenerimaanio constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->baseService = new ItempopenerimaanioService();
    }

    /**
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function search(Request $request) {
        $data = $this->baseService->paging($request->all());
        echo json_encode($data); 
    } 

}